Bug 884335 - [RFE] Add Translation Memory Cache for filter query
[RFE] Add Translation Memory Cache for filter query
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Performance (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.1
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-05 18:44 EST by Carlos Munoz
Modified: 2013-02-25 23:06 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1-SNAPSHOT (20121206-1113)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 23:06:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-12-05 18:44:03 EST
When using Text Flow lucene indexes, a database query needs to be used to filter out untranslated results. An updatable cache needs to be added so that this query is run the least possible number of times. This is an expensive query as it probably scans the whole table.
Comment 1 Carlos Munoz 2012-12-05 20:41:32 EST
Added a Translation Memory helper component that caches the translated text flow ids for each locale. This cache is updated every time a translation occurs.

Testing Notes:
Test scenarios where a text flow target changes to all states (fuzzy, approved, not translated).

See:
https://github.com/zanata/zanata/commit/e937a9120ed977904995c56f898c62b47b6ed89b
https://github.com/zanata/zanata/commit/4b868b54b444fa2e2cf158f367ceddf0f8530cbd
https://github.com/zanata/zanata/commit/2fda4c7823a16b1a5e1b8c0effa7accd2ba193b8
Comment 3 Ding-Yi Chen 2012-12-09 22:29:29 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20121206-1113)

Note You need to log in before you can comment on or make changes to this bug.